Table of Contents

Breaking Changes

The following sections provide more details on the breaking changes introduced for release 2023.10.0.

Identity

The data type of the MergeTypeOfWorkOption property has been changed to an enumeration from a string.

Impacted Areas

API Method Path
IDENTITY GET /Modules/IDENTITY

Alarms

The Alarm IsActive property is no longer needed as it has a Status field. The endpoints for toggling the IsActive have therefore been removed.

Impacted Areas

API Method Path
AHM PATCH /Modules/AHM/Alarms/{id}/Active
AHM PATCH /Modules/AHM/Alarms/Batch/Active

Notifications

The NotificationEventAttachment ReportId property has been removed. The ReportName property is now used to resolve the correct version of the specific report for the NotificationEventAttachment.

Impacted Areas

API Method Path
GEN POST /Modules/GEN/ChangeDataTriggers/NotificationEvents/Attachments
GEN POST /Modules/GEN/ChangeDataTriggers/NotificationEvents/Attachments/Batch
GEN PATCH /Modules/GEN/ChangeDataTriggers/NotificationEvents/Attachments
GEN PATCH /Modules/GEN/ChangeDataTriggers/NotificationEvents/Attachments/Batch

Work Order Task Resource Usages

The Financial Year Period when fetching Work Order Task Resource Usages might now be null if Costing is turned off in System Options.

Impacted Areas

API Method Path
WM GET /Modules/WM/WorkOrders/Tasks/Resources/Usages/{id}
WM GET /Modules/WM/WorkOrders/Tasks/Resources/Usages/Batch/{ids}

Monitoring Point Triggers Expression Parameters

The MonitorinPointTypeId property has been removed since it is not allowed to be updated. MonitorinPointId was added since it is a property that can be updated.

Impacted Areas

API Method Path
AHM PATCH /Modules/AHM/MonitoringPointTriggers/Expressions/Parameters
AHM PATCH /Modules/AHM/MonitoringPointTriggers/Expressions/Parameters/Batch